org.eclipse.ui.part

## Class MultiPageEditor

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.ui.part.WorkbenchPart
    - - org.eclipse.ui.part.EditorPart
      - - org.eclipse.ui.part.MultiPageEditor

All Implemented Interfaces:
  IAdaptable, IExecutableExtension, IEditorPart, ISaveablePart, IWorkbenchPart, IWorkbenchPart2, IWorkbenchPart3, IWorkbenchPartOrientation

Deprecated.
Use the class `MultiPageEditorPart` instead

    @Deprecated
    public abstract class MultiPageEditor
    extends EditorPart

Abstract superclass of all multi-page workbench editors.

This class should be subclassed by clients wishing to define new multi-page editor.

Subclasses must implement the following methods:

- `createPartControl` - to create the view's controls
- `setFocus` - to accept focus
- `isDirty` - to decide whether a significant change has occurred
- `doSave` - to save contents of editor
- `doSaveAs` - to save contents of editor

Subclasses may extend or reimplement the following methods as required:

- `setInitializationData` - extend to provide additional initialization when editor extension is instantiated
- `init(IEditorSite,IEditorInput)` - extend to provide additional initialization when editor is assigned its site
- `isSaveOnCloseNeeded` - override to control saving
- `isSaveAsAllowed` - override to control saving
- `gotoMarker` - reimplement to make selections based on markers
- `dispose` - extend to provide additional cleanup
- `getAdapter` - reimplement to make their editor adaptable

### Field Summary

### Fields inherited from interface org.eclipse.ui.IEditorPart

`PROP_DIRTY, PROP_INPUT`

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

### Constructor Summary

Constructors
Constructor and Description
`MultiPageEditor()` Deprecated. Use the class `MultiPageEditorPart` instead

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`protected void` `addSyncroPageBook(PageBook pageBook)` Deprecated. Adds a synchronized pagebook to this editor.
`void` `createPartControl(Composite parent)` Deprecated. The `MultiPageEditor` implementation of this `IWorkbenchPart` method creates a `TabFolder` control.
`protected TabFolder` `getFolder()` Deprecated. Returns this editor's workbook.
`protected void` `onPageChange()` Deprecated. Indicates that a page change has occurred.
`protected void` `removeSyncroPageBook(PageBook pageBook)` Deprecated. Removes a synchronized pagebook from this editor.
`protected void` `sync()` Deprecated. Synchronizes each registered pagebook with the editor page.
`protected void` `syncPageBook(PageBook pageBook)` Deprecated. Sets the visible page of the given pagebook to be the same as the visible page of this editor.

### Methods inherited from class org.eclipse.ui.part.EditorPart

`checkSite, doSave, doSaveAs, getEditorInput, getEditorSite, getTitleToolTip, init, isDirty, isSaveAsAllowed, isSaveOnCloseNeeded, setContentDescription, setInitializationData, setInput, setInputWithNotify, setPartName`

### Methods inherited from class org.eclipse.ui.part.WorkbenchPart

`addPartPropertyListener, addPropertyListener, dispose, firePartPropertyChanged, firePropertyChange, getAdapter, getConfigurationElement, getContentDescription, getDefaultImage, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, removePartPropertyListener, removePropertyListener, setFocus, setPartProperty, setSite, setTitle, setTitleImage, setTitleToolTip, showBusy`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ui.IWorkbenchPart

`addPropertyListener, dispose, getSite, getTitle, getTitleImage, removePropertyListener, setFocus`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Constructor Detail

#### MultiPageEditor

    @Deprecated
    public MultiPageEditor()

Deprecated. Use the class `MultiPageEditorPart` instead
Creates a new multi-page editor.

### Method Detail

#### addSyncroPageBook

    protected void addSyncroPageBook(PageBook pageBook)

Deprecated.
Adds a synchronized pagebook to this editor. Once added, the visible page of the pagebook and the visible page of the editor will be synchronized.

Parameters:
  `pageBook` - the pagebook to add

#### createPartControl

    public void createPartControl(Composite parent)

Deprecated.
The `MultiPageEditor` implementation of this `IWorkbenchPart` method creates a `TabFolder` control.

Specified by:
  `createPartControl` in interface `IWorkbenchPart`
Specified by:
  `createPartControl` in class `WorkbenchPart`
Parameters:
  `parent` - the parent control

#### getFolder

    protected TabFolder getFolder()

Deprecated.
Returns this editor's workbook.

Returns:
  the editor workbook

#### onPageChange

    protected void onPageChange()

Deprecated.
Indicates that a page change has occurred. Updates the sync vector.

#### removeSyncroPageBook

    protected void removeSyncroPageBook(PageBook pageBook)

Deprecated.
Removes a synchronized pagebook from this editor.

Parameters:
  `pageBook` - the pagebook to remove
See Also:
  `addSyncroPageBook(PageBook)`

#### sync

    protected void sync()

Deprecated.
Synchronizes each registered pagebook with the editor page.

#### syncPageBook

    protected void syncPageBook(PageBook pageBook)

Deprecated.
Sets the visible page of the given pagebook to be the same as the visible page of this editor.

Parameters:
  `pageBook` - a pagebook to synchronize